SDL_GL_GetCurrentContext(3)

NAME
SDL_GL_GetCurrentContext - Get the currently active OpenGL context.

SYNOPSIS
#include <SDL3/SDL_video.h>

SDL_GLContext SDL_GL_GetCurrentContext(void);

RETURN VALUE
Returns the currently active OpenGL context or NULL on failure; call SDL_GetError() for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GL_MakeCurrent(3)